Docs Rizler

Functions

Update Api Config Function

PATCHhttps://app.rizzdial.com/api/ai/agent/v2/manage/advanced/functions/api-config/{agent_id}
Update Api Config Function
curl --request PATCH \
  --url https://app.rizzdial.com/api/ai/agent/v2/manage/advanced/functions/api-config/agent_123 \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "api_url": "value",
  "config_id": 1,
  "api_method": "GET",
  "api_headers": [],
  "api_timeout": 1,
  "function_name": "value",
  "function_prompt": "value",
  "api_content_type": "json",
  "delete_config_id": 1,
  "api_body_template": "value",
  "function_description": "value"
}'
{
  "data": {
    "agent_id": "agent_123"
  },
  "message": "Saved",
  "success": true
}

Update Api Config Function#

Create, update, or delete an API Configuration function for an AI agent..

Authorizationstringheaderrequired

Bearer token in the format: Bearer {access_token}

agent_idstringpathrequired

Public agent id from List Agents

delete_config_idintegerbody

send only when changing this field

config_idintegerbody

send only when changing this field

function_namestringbody

max 255. send only when changing this field

function_promptstringbody

may be null. send only when changing this field

function_descriptionstringbody

may be null. send only when changing this field

api_urlstringbody

send only when changing this field

api_methodstringbody

One of: GET, POST, PUT, PATCH, DELETE. send only when changing this field

api_content_typestringbody

One of: json, form. send only when changing this field

api_body_templatestringbody

may be null. send only when changing this field

api_timeoutintegerbody

One of: 1. min 1. max 120. send only when changing this field

api_headersarraybody

may be null. send only when changing this field

curl --request PATCH \
 --url https://app.rizzdial.com/api/ai/agent/v2/manage/advanced/functions/api-config/agent_123 \
 --header 'Authorization: Bearer {{bearer_token}}' \
 --header 'Content-Type: application/json' \
 --data '{"delete_config_id":1,"config_id":1,"function_name":"value","function_prompt":"value","function_description":"value","api_url":"value","api_method":"GET","api_content_type":"json","api_body_template":"value","api_timeout":1,"api_headers":[]}'
successboolean

true when the call succeeds. Some list responses use status: success instead

dataobject

The saved record, or the list of records